import request from '@/utils/request'

// 列表
export function queryList(params) {
  return request({
    url: `/pu/ccd/list`,
    method: 'get',
    params: params,
  })
}
// 详情
export function ccdItem(id) {
  return request({
    url: `/pu/ccd/${id}`,
    method: 'get',
  })
}

// 编辑
export function editItem(data) {
  return request({
    url: `/pu/ccd`,
    method: 'put',
    data: data,
  })
}

// 提交
export function submit(data) {
  return request({
    url: `/pu/ccd/submit`,
    method: 'post',
    data: data,
  })
}

// 转销售订单
export function toSaleOrder(data) {
  return request({
    url: `/pu/ccd/toSaleOrder`,
    method: 'post',
    data: data,
  })
}

// 操作状态
export function operationStatus(data) {
  return request({
    url: `/pu/ccd/operationStatus`,
    method: 'post',
    data: data,
  })
}